Zuse

List providers

GET/v1/api/providers

Lists the cloud machine providers and sizes available to your account.

AuthorizationBearer <token>

An API key that starts with zk_. Create one in the Zuse app.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/api/providers"
{  "providers": [    {      "providerId": "box",      "displayName": "Boat",      "sizes": [        {          "sizeId": "standard",          "displayName": "Standard",          "vcpuCount": 4,          "memoryMib": 8192        }      ],      "billingSource": "zuse"    }  ],  "entitled": true}
{  "error": "invalid_api_key",  "detail": "string"}
{  "error": "invalid_api_key",  "detail": "string"}